My Oracle Support Banner

Upgrading OFSAA ALM From Version 8.0.6.1 to 8.1 Fails With Error Message: ORA-00972: Identifier Is Too Long (Doc ID 2728894.1)

Last updated on NOVEMBER 16, 2020

Applies to:

Oracle Financial Services Asset Liability Management - Version 8.0.6.1.0 to 8.1.0.0.0 [Release 8 to 8.1]
Information in this document applies to any platform.
Oracle Financial Services Profitability Management (PFT)
Oracle Financial Services Funds Transfer Pricing (FTP)
Oracle Financial Services Asset Liability Management (ALM)
Oracle Financial Services Analytical Applications (OFSAA)
Oracle Financial Services Analytical Applications Infrastructure (OFSAAI)
Oracle Financial Services Enterprise Performance Management (EPM)

Symptoms

While upgrading OFSAA ALM from version 8.0.6.1 to 8.1, which is failing with error message below:

[06-11-20 11:19:10,257 GMT+09:00 AM] [INFO ] Required platform version exists.
[06-11-20 11:19:10,942 GMT+09:00 AM] [ERROR] =====Exception====
java.sql.SQLSyntaxErrorException: ORA-00972: identifier is too long
at oracle.jdbc.driver.T4CTTIoer11.processError(T4CTTIoer11.java:509) ~[ojdbc8.jar:19.3.0.0.0]
at oracle.jdbc.driver.T4CTTIoer11.processError(T4CTTIoer11.java:461) ~[ojdbc8.jar:19.3.0.0.0]
at oracle.jdbc.driver.T4C8Oall.processError(T4C8Oall.java:1104) ~[ojdbc8.jar:19.3.0.0.0]
at oracle.jdbc.driver.T4CTTIfun.receive(T4CTTIfun.java:550) ~[ojdbc8.jar:19.3.0.0.0]
at oracle.jdbc.driver.T4CTTIfun.doRPC(T4CTTIfun.java:268) ~[ojdbc8.jar:19.3.0.0.0]
at oracle.jdbc.driver.T4C8Oall.doOALL(T4C8Oall.java:655) ~[ojdbc8.jar:19.3.0.0.0]
at oracle.jdbc.driver.T4CStatement.doOall8(T4CStatement.java:229) ~[ojdbc8.jar:19.3.0.0.0]
at oracle.jdbc.driver.T4CStatement.doOall8(T4CStatement.java:41) ~[ojdbc8.jar:19.3.0.0.0]
at oracle.jdbc.driver.T4CStatement.executeForRows(T4CStatement.java:928) ~[ojdbc8.jar:19.3.0.0.0]
at oracle.jdbc.driver.OracleStatement.doExecuteWithTimeout(OracleStatement.java:1205) ~[ojdbc8.jar:19.3.0.0.0]
at oracle.jdbc.driver.OracleStatement.executeInternal(OracleStatement.java:1823) ~[ojdbc8.jar:19.3.0.0.0]
at oracle.jdbc.driver.OracleStatement.execute(OracleStatement.java:1778) ~[ojdbc8.jar:19.3.0.0.0]
at oracle.jdbc.driver.OracleStatementWrapper.execute(OracleStatementWrapper.java:303) ~[ojdbc8.jar:19.3.0.0.0]
at com.ofss.fsgbu.installer.mediapack.utils.InstallerUtility.createRequiredTables(InstallerUtility.java:1597) [MediaPackInstaller.jar:?]
at com.ofss.fsgbu.installer.mediapack.MediaPack.prepareExecutionEnvironment(MediaPack.java:117) [MediaPackInstaller.jar:?]
at com.ofss.fsgbu.installer.mediapack.MediaPack.main(MediaPack.java:41) [MediaPackInstaller.jar:?]
Caused by: oracle.jdbc.OracleDatabaseException: ORA-00972: identifier is too long

Steps to reproduce:
1. Upgrade OFSAAI into 8.1

2. Upgrade OFSAA ALM from version 8.0.6.1 to 8.1

Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.